package Aww::Options;

use strict;
use warnings;


use Aww::Options::duplicate ;
use Aww::Options::thumbnail ;
use Aww::Options::index ;
use Aww::Options::english;





1;
__END__


=pod

=head1 NAME

B<Aww::Options> - Perl Module for aww

=head1 DESCRIPTION

It is quite easy to write your own modules for aww. Everything you
want to be done before creating the website from your wml files can be
done by a aww module.

In this release three standard modules are provided with aww:

=head2 duplicate

This module copies all files in a directory to the destination
(e.g. useful for a image directory)


=head2 thumbnail

This modules creates a thumbnailpage of all images in a directory and
connects all pictures in a row. It has lots of different options!
(It is a rewrite of the old thumb module)

=head2 index

This module creates a index for all files in the directory. (It
replaces the old modules toc, wmltoc and new)

---

More documentation about these modules can be found on their own
manpages:

B<L<Aww::Options::duplicate>>, B<L<Aww::Options::thumbnail>> and B<L<Aww::Options::index>>


=head1 AUTHOR

Michael Panhorst <aww[at]panhorst.com>

=head1 SEE ALSO

B<L<aww>>, B<L<Aww::lib>> and B<L<Aww::Main>>

=cut
