package Aww::Options;

use strict;
use warnings;

sub english {
    my $SrcDir = shift ;


    print "-- executing Aww::Options::english subroutine --\n" if $Aww::verbose > 1 ;

    my $PFT = Aww::lib::config("config","Processfile_type") ;
    my $OFT = Aww::lib::config("config","Outputfile_type") ;
    my @SrcFiles = Aww::lib::get_fullfilenames($SrcDir,"none","$PFT\$") ;

    my @NewFiles = Aww::lib::checktime(@SrcFiles) ;


# check every sourcefile for the '-eng' part and assign the eng
# variable accordingly

    foreach my $SrcFile ( @NewFiles ) {

	my @english = "--define=eng='-eng'" unless $SrcFile =~ m/-eng/ ;

	my $DestFile = $SrcFile ;



	$DestFile =~ s(^$Aww::Main::ProcessVars->{'Main.Src_Base_Directory'})($Aww::Main::ProcessVars->{'Main.Output_Base_Directory'}) ;

	$DestFile = Aww::lib::pft2oft($DestFile) ;


	Aww::lib::process($SrcFile,$DestFile,@english) ;

    }

}




1;
__END__
# Below is the documentation for the module. Keep it up to date!

=head1 NAME

B<Aww::Options::english> - an Aww-Options-Module!

This module was just a quick way to make a two-language homepage. It
will not be supported nor developed further! There will hopefully will
be a aww support for slices soon.


=head1 AUTHOR

Michael Panhorst <aww[at]panhorst.com>

=head1 SEE ALSO

B<L<Aww::Options>>, B<L<Aww::Main>> and B<L<Aww::lib>>

=cut
